import { createSelectorCreator, defaultMemoize } from 'reselect';
import _ from 'lodash';
// react-router routing selector

export var routingSelector = function routingSelector(state) {
  return state.routing.locationBeforeTransitions;
};

export var translateSelector = function translateSelector(state) {
  return state.translate;
};

export var authSelector = function authSelector(state) {
  return state.auth;
};

/**
 * We need to use isEqual for equalityCheck, otherwise firebase.listeners compared
 * by === breaks memoization
 */
export var firebaseSelector = createSelectorCreator(defaultMemoize, _.isEqual)(function (state) {
  return state.firebase;
}, function (firebase) {
  return firebase;
});