'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.firebaseSelector = exports.authSelector = exports.translateSelector = exports.routingSelector = undefined;

var _reselect = require('reselect');

var _lodash = require('lodash');

var _lodash2 = _interopRequireDefault(_lodash);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// react-router routing selector

var routingSelector = exports.routingSelector = function routingSelector(state) {
  return state.routing.locationBeforeTransitions;
};

var translateSelector = exports.translateSelector = function translateSelector(state) {
  return state.translate;
};

var authSelector = exports.authSelector = function authSelector(state) {
  return state.auth;
};

/**
 * We need to use isEqual for equalityCheck, otherwise firebase.listeners compared
 * by === breaks memoization
 */
var firebaseSelector = exports.firebaseSelector = (0, _reselect.createSelectorCreator)(_reselect.defaultMemoize, _lodash2.default.isEqual)(function (state) {
  return state.firebase;
}, function (firebase) {
  return firebase;
});